Skip to main content
`Ctrl`+`K`

# NEPRegister

Adds a method to the nonlinear eigenproblem solver package.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRegister(const char *name,PetscErrorCode (*function)(NEP))

Not Collective

## Input Parameters

- name - name of a new user-defined solver

- function - routine to create the solver context

## Note

`NEPRegister()` may be called multiple times to add several user-defined solvers.

## Example Usage

       NEPRegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

       NEPSetType(nep,"my_solver")

or at runtime via the option `-nep_type my_solver`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPRegisterAll()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages